%define		kdeappsver	21.12.0
%define		qtver		5.15.0
%define		kf5ver		5.71.0
%define		kaname		konsole
Summary:	KDE Terminal Emulator
Name:		ka5-%{kaname}
Version:	21.12.0
Release:	3
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	cc980609c26e904029b652cf987ba452
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5PrintSupport-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.13
BuildRequires:	kf5-extra-cmake-modules >= %{kf5ver}
BuildRequires:	kf5-kbookmarks-devel >= %{kf5ver}
BuildRequires:	kf5-kconfig-devel >= %{kf5ver}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kf5ver}
BuildRequires:	kf5-kcoreaddons-devel >= %{kf5ver}
BuildRequires:	kf5-kcrash-devel >= %{kf5ver}
BuildRequires:	kf5-kdbusaddons-devel >= %{kf5ver}
BuildRequires:	kf5-kdoctools-devel >= %{kf5ver}
BuildRequires:	kf5-kglobalaccel-devel >= %{kf5ver}
BuildRequires:	kf5-kguiaddons-devel >= %{kf5ver}
BuildRequires:	kf5-ki18n-devel >= %{kf5ver}
BuildRequires:	kf5-kiconthemes-devel >= %{kf5ver}
BuildRequires:	kf5-kio-devel >= %{kf5ver}
BuildRequires:	kf5-knewstuff-devel >= %{kf5ver}
BuildRequires:	kf5-knotifications-devel >= %{kf5ver}
BuildRequires:	kf5-knotifyconfig-devel >= %{kf5ver}
BuildRequires:	kf5-kparts-devel >= %{kf5ver}
BuildRequires:	kf5-kpty-devel >= %{kf5ver}
BuildRequires:	kf5-kservice-devel >= %{kf5ver}
BuildRequires:	kf5-ktextwidgets-devel >= %{kf5ver}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kf5ver}
BuildRequires:	kf5-kwindowsystem-devel >= %{kf5ver}
BuildRequires:	kf5-kxmlgui-devel >= %{kf5ver}
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	Qt5Core >= %{qtver}
Requires:	Qt5DBus >= %{qtver}
Requires:	Qt5PrintSupport >= %{qtver}
Requires:	Qt5Widgets >= %{qtver}
Requires:	kf5-kbookmarks >= %{kf5ver}
Requires:	kf5-kconfig >= %{kf5ver}
Requires:	kf5-kconfigwidgets >= %{kf5ver}
Requires:	kf5-kcoreaddons >= %{kf5ver}
Requires:	kf5-kcrash >= %{kf5ver}
Requires:	kf5-kdbusaddons >= %{kf5ver}
Requires:	kf5-kglobalaccel >= %{kf5ver}
Requires:	kf5-kguiaddons >= %{kf5ver}
Requires:	kf5-ki18n >= %{kf5ver}
Requires:	kf5-kiconthemes >= %{kf5ver}
Requires:	kf5-kio >= %{kf5ver}
Requires:	kf5-knewstuff >= %{kf5ver}
Requires:	kf5-knotifications >= %{kf5ver}
Requires:	kf5-knotifyconfig >= %{kf5ver}
Requires:	kf5-kparts >= %{kf5ver}
Requires:	kf5-kpty >= %{kf5ver}
Requires:	kf5-kservice >= %{kf5ver}
Requires:	kf5-ktextwidgets >= %{kf5ver}
Requires:	kf5-kwidgetsaddons >= %{kf5ver}
Requires:	kf5-kwindowsystem >= %{kf5ver}
Requires:	kf5-kxmlgui >= %{kf5ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Konsole is a terminal emulator.

Features

• Tabs • Multiple profiles • Silence and Activity monitoring •
Bookmark support • Searching • Saving output

%description -l pl.UTF-8
Konsole jest emulatorem terminala.

Cechy

• Karty • Wiele profili • Monitoring ciszy i aktywności • Zakładki •
Szukanie • Zapisywanie danych wyjściowych

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/{sr,zh_CN}
%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/konsole
%attr(755,root,root) %{_bindir}/konsoleprofile
%ghost %{_libdir}/libkonsoleprivate.so.1
%{_libdir}/libkonsoleprivate.so.*.*.*
%ghost %{_libdir}/libkonsoleapp.so.1
%{_libdir}/libkonsoleapp.so.*.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/konsolepart.so
%dir %{_libdir}/qt5/plugins/konsoleplugins
%attr(755,root,root) %{_libdir}/qt5/plugins/konsoleplugins/konsole_sshmanagerplugin.so
%{_datadir}/metainfo/org.kde.konsole.appdata.xml
%{_desktopdir}/org.kde.konsole.desktop
%{_datadir}/knotifications5/konsole.notifyrc
%{_datadir}/konsole
%{_datadir}/kservices5/ServiceMenus/konsolerun.desktop
%{_datadir}/kservices5/konsolepart.desktop
%{_datadir}/kservicetypes5/terminalemulator.desktop
%{_datadir}/khotkeys/konsole.khotkeys
%{_datadir}/knsrcfiles/konsole.knsrc
%{_datadir}/qlogging-categories5/konsole.categories
%changelog
* Thu Dec 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-konsole.git;a=log;h=master

* Thu Dec 16 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 80fb0a7
- typo

* Thu Dec 16 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7f3c2e1
- adding missing dir

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d983c61
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a6fc160
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fbf6087
- updated to 21.08.2

* Thu Sep 23 2021 Jan Palus <atler@pld-linux.org> 1c52689
- updated deps

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4ba02e9
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5f1e3c0
- updated to 21.08.0

* Mon Aug 02 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 997f303
- pl description

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 93d1716
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 45bae3d
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0d53bb1
- updated to 21.04.1

* Sat Apr 24 2021 Jan Palus <atler@pld-linux.org> a732aee
- updated dependencies

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 11c9e0f
- updated to 21.04.0

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> d732b2c
- macros for %ninja*

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> 4a8dfca
- updated build and runtime deps

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d8de92f
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> fae40e6
- updated to 19.04.1
- packaged docs
- macro kframever

* Sun Jan 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 7eced89
- ninja

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> b7a6fa8
- updated to 18.12.1

